<?php

namespace App\Filament\Pages\AdminVerification\Concerns;

use App\Filament\Pages\AdminVerification\Actions\ApproveAction;
use App\Filament\Pages\AdminVerification\Actions\RejectAction;
use App\Filament\Pages\AdminVerification\Actions\RevisionAction;
use App\Filament\Pages\AdminVerification\Actions\ViewAction;
use Filament\Actions\Action;

trait HasVerificationActions
{
    public function approveAction(): Action
    {
        return ApproveAction::make();
    }

    public function revisionAction(): Action
    {
        return RevisionAction::make();
    }

    public function rejectAction(): Action
    {
        return RejectAction::make();
    }

    public function viewAction(): Action
    {
        return ViewAction::make();
    }
}
